GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::algorithm::locate::PointOnGeometryLocator Class Referenceabstract

An interface for classes which determine the Location of points in Polygon or MultiPolygon geometries. More...

`#include <PointOnGeometryLocator.h>`

Inheritance diagram for geos::algorithm::locate::PointOnGeometryLocator:

## Public Member Functions
virtual int | locate (const geom::Coordinate *p)=0

## Detailed Description

An interface for classes which determine the Location of points in Polygon or MultiPolygon geometries.

Author
  Martin Davis

## Member Function Documentation

virtual int geos::algorithm::locate::PointOnGeometryLocator::locate | ( | const geom::Coordinate * | p | ) |
| pure virtual

Determines the Location of a point in an areal Geometry.

Parameters

  p | the point to test

Returns
  the location of the point in the geometry

Implemented in geos::algorithm::locate::IndexedPointInAreaLocator, and geos::algorithm::locate::SimplePointInAreaLocator.

The documentation for this class was generated from the following file:

- PointOnGeometryLocator.h